Manage orders - Get products by customer

Retrieves all products using country or region and locale information.

GET https://api.partnercenter.microsoft.com/v{version}/customers/{customerId}/products?targetView={targetView}
GET https://api.partnercenter.microsoft.com/v{version}/customers/{customerId}/products?targetView={targetView}&targetSegment={targetSegment}&reservationScope={reservationScope}

URI Parameters

Name In Required Type Description
customerId
path True

string (uuid)

The customer identifier in GUID format.

version
path True

string

The API version number.

targetView
query True

string

The catalog view being requested.

reservationScope
query

string

The optional reservation scope filter.

targetSegment
query

string

The optional segment filter.

Request Header

Name Required Type Description
Authorization True

string

Authorization Bearer token

ms-correlationid

string

Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request

MS-CV

string

Used for tracking requests internally. If a MS-CV is not provided, the server will generate a new one for each request

ms-requestid

string

Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request

Accept True

string

Typically application/json.

Responses

Name Type Description
200 OK

ResourceCollection[Contracts.V1.Models.Product]

The request was successful. The products are returned in the response body.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Definitions

Name Description
Contracts.V1.Models.ItemType

Additional product type associated with the product.

Contracts.V1.Models.Product

The collection of items associated with this resource collection.

Contracts.V1.Models.ProductLinks

Links to related resources.

Link

Represents a link resource.

ResourceAttributes

Represents a resource attributes resource.

ResourceCollection[Contracts.V1.Models.Product]

Represents a resource collection resource.

ResourceLinks

Represents a resource links resource.

StringStringKeyValuePair

Represents a key value pair resource.

System.Collections.Generic.KeyValuePair[System.String,System.String]

The collection of headers associated with this link.

Contracts.V1.Models.ItemType

Additional product type associated with the product.

Name Type Description
displayName

string

The display name shown to partners.

id

string

Unique identifier for the item type. Value is typically a GUID.

subType

Contracts.V1.Models.ItemType

Additional sub type associated with the item type.

Contracts.V1.Models.Product

The collection of items associated with this resource collection.

Name Type Description
description

string

The description of this item.

id

string

Unique identifier for the product. Value is typically a GUID.

isMicrosoftProduct

boolean

Whether is microsoft product.

links

Contracts.V1.Models.ProductLinks

Links to related resources.

localizedAttributes

System.Collections.Generic.KeyValuePair[System.String,System.String][]

The collection of localized attributes associated with this product.

productType

Contracts.V1.Models.ItemType

Additional product type associated with the product.

publisherName

string

The publisher name for the product.

title

string

The title of this item.

Links to related resources.

Name Type Description
next

Link

Additional next associated with the product links.

previous

Link

Additional previous associated with the product links.

self

Link

Additional self associated with the product links.

skus

Link

Additional skus associated with the product links.

Represents a link resource.

Name Type Description
body

string

The body for the link.

headers

StringStringKeyValuePair[]

The collection of headers associated with this link.

method

string

The method for the link.

uri

string

The URI for the related resource.

ResourceAttributes

Represents a resource attributes resource.

Name Type Description
etag

string

The entity tag used for concurrency control.

objectType

string

The object type for the resource attributes.

ResourceCollection[Contracts.V1.Models.Product]

Represents a resource collection resource.

Name Type Description
attributes

ResourceAttributes

Additional attributes associated with the resource collection.

items

Contracts.V1.Models.Product[]

The collection of items associated with this resource collection.

links

ResourceLinks

Links to related resources.

totalCount

integer (int32)

The total number of items available in the result set.

Represents a resource links resource.

Name Type Description
next

Link

Additional next associated with the resource links.

previous

Link

Additional previous associated with the resource links.

self

Link

Additional self associated with the resource links.

StringStringKeyValuePair

Represents a key value pair resource.

Name Type Description
key

string

The key for the key value pair.

value

string

The value for the key value pair.

System.Collections.Generic.KeyValuePair[System.String,System.String]

The collection of headers associated with this link.

Name Type Description
key

string

The key for the key value pair.

value

string

The value for the key value pair.